<?php
jimport('joomla.plugin.plugin');
class plgSystemCustom_price_word_count extends JPlugin{
	function plgSystemCustom_price_word_count(&$subject, $config){
		parent::__construct($subject, $config);
		if(!isset($this->params)){
			$plugin = JPluginHelper::getPlugin('system', 'custom_price_letter_count');
			if(version_compare(JVERSION,'2.5','<')){
				jimport('joomla.html.parameter');
				$this->params = new JParameter($plugin->params);
			} else {
				$this->params = new JRegistry($plugin->params);
			}
		}
		JRequest::setVar('letter_count_params', $this->params);
	}
}

if(!function_exists('hikashop_product_price_for_quantity_in_cart') && !function_exists('hikashop_product_price_for_quantity_in_order')) {
	function hikashop_product_price_for_quantity_in_cart(&$product){
		$currencyClass = hikashop_get('class.currency');
		$quantity = @$product->cart_product_quantity;
		$params=JRequest::getVar("letter_count_params");
		$field = $params->get('field','');

		if(!empty($field) && !empty($product->$field)){
			$quantity = @$product->cart_product_quantity = strlen($product->$field);
		}
		$currencyClass->quantityPrices($product->prices,$quantity,$product->cart_product_total_quantity);
	}
}